﻿using System;

namespace Kreta.Framework.Localization
{
    /// <summary>
    /// Kultúrafüggő barátságos nevet definiáló attribútum.
    /// </summary>
    [AttributeUsage(AttributeTargets.Class | AttributeTargets.Field, Inherited = true, AllowMultiple = false)]
    public sealed class FriendlyNameAttribute : Attribute
    {
        public int StringResourceId
        {
            get;
            private set;
        }

        public string DisplayText
        {
            get;
            private set;
        }

        /// <summary>
        /// Az attribútum konstruktora.
        /// </summary>
        /// <param name="cultureName">A kultúra neve</param>
        /// <param name="value">A barátságos név</param>
        public FriendlyNameAttribute(int stringResourceId, string displayText)
        {
            StringResourceId = stringResourceId;
            DisplayText = displayText;
        }
    }
}
