﻿using System.Globalization;

namespace Kreta.Framework.Localization
{
    /// <summary>
    /// A nyelvesítő osztályok felülete. Lásd <see cref="Localizer"/>.
    /// </summary>
    public interface ILocalizer
    {
        // <<Strategy>>

        /// <summary>
        /// Nyelvesíti a megadott objektumot.
        /// </summary>
        /// <param name="value">A nyelvesítendő objektum</param>
        /// <param name="cultureInfo">A nyelv</param>
        /// <returns>Az objektum nyelvesítve</returns>
        string Localize(object value, CultureInfo cultureInfo);
    }
}
